# led-ring-clock
An Arduino-based analog clock using an WS2812B addressable RGB LED ring as a display.

This sketch requires the FastLED library, the Wire library (built-in), the EEPROM library (built-in), and the NtpClientLib
(currently requires develop branch).

https://github.com/FastLED/FastLED

https://github.com/gmag11/NtpClient/tree/develop

### 3D-printable enclosure for NeoPixel Ring (24 LEDs)
Design files available on Thingiverse: https://www.thingiverse.com/thing:2730265

### Electronics information
The LED ring is connected to digital pin 3. Momentary N/O button is connected to digital pin 5.
10K potentiometer is connected across power and ground and the wiper is connected to Analog 0.
This code has been tested with WS2812B LED Strips of up to 120 LEDs, but more should
be possible. With minimal changes it should work with rings using other types of RGB LEDs. 
The code should work on any ATmega328 based board.

### Blog-Post with howto and more details (German)
https://www.commander1024.de/wordpress/2019/02/analoge-arduino-led-uhr/
